using System.ComponentModel.DataAnnotations;

namespace ConstructorApp.EntityLayer.Entities
{
    public class Team
    {
        [Key]
        public int TeamID { get; set; }
        [StringLength(50)]
        [Required]
        public string? NameSurname { get; set; } // Mary Scott
        [StringLength(50)]
        [Required]
        public string? Title { get; set; } // Exterior & Landscape Designer
        [StringLength(100)]
        [Required]
        public string? ImageUrl { get; set; } // Logo görsel yolu
        [StringLength(100)]
        public string? Facebook { get; set; } // Sosyal medya adresi1
        [StringLength(100)]
        public string? Instagram { get; set; } // Sosyal medya adresi2
        [StringLength(100)]
        public string? Linkedin { get; set; } // Sosyal medya adresi3
    }
}
